Rudiments: tlscertificate Class Reference

Rudiments

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
tlscertificate Class Reference

## Public Member Functions
| tlscertificate ()
| ~tlscertificate ()
uint32_t | getVersion ()
uint64_t | getSerialNumber ()
const char * | getSignatureAlgorithm ()
const char * | getIssuer ()
datetime * | getValidFrom ()
datetime * | getValidTo ()
const char * | getSubject ()
const char * | getCommonName ()
const char * | getPublicKeyAlgorithm ()
const unsigned char * | getPublicKey ()
uint64_t | getPublicKeyByteLength ()
uint64_t | getPublicKeyBitLength ()
linkedlist< char * > * | getSubjectAlternateNames ()

## Constructor & Destructor Documentation

tlscertificate::tlscertificate | ( |  | ) |

Creates a new instance of the tlscertificate class.

tlscertificate::~tlscertificate | ( |  | ) |

Deletes this instance of the tlscertificate class.

## Member Function Documentation

const char* tlscertificate::getCommonName | ( |  | ) |

Returns the common name from the certificate.

const char* tlscertificate::getIssuer | ( |  | ) |

Returns the issuer from the certificate.

const unsigned char* tlscertificate::getPublicKey | ( |  | ) |

Returns the public key from the certificate.

const char* tlscertificate::getPublicKeyAlgorithm | ( |  | ) |

Returns the public key algorithm from the certificate.

uint64_t tlscertificate::getPublicKeyBitLength | ( |  | ) |

Returns the length of the public key, in bits, from the certificate.

uint64_t tlscertificate::getPublicKeyByteLength | ( |  | ) |

Returns the length of the public key, in bytes, from the certificate.

uint64_t tlscertificate::getSerialNumber | ( |  | ) |

Returns the serial number from the certificate.

const char* tlscertificate::getSignatureAlgorithm | ( |  | ) |

Returns the signature algorithm from the certificate.

const char* tlscertificate::getSubject | ( |  | ) |

Returns the subject from the certificate.

linkedlist< char * >* tlscertificate::getSubjectAlternateNames | ( |  | ) |

Returns the subject alternate names from the certificate.

datetime* tlscertificate::getValidFrom | ( |  | ) |

Returns the date the at the certificate is valid from.

datetime* tlscertificate::getValidTo | ( |  | ) |

Returns the date the at the certificate is valid to.

uint32_t tlscertificate::getVersion | ( |  | ) |

Returns the version from the certificate.